#!/usr/bin/perl -w
#  Ana Sanz Merino [University of California Berkeley, 2003]

use strict;
use IO::Socket;
unlink "/tmp/socket";

my ($serverSock, $clientSock, $buf, $buf2);
my $IPC_BUFSIZE = 128;
my $remote_host = "127.0.0.1";
my $remote_port = 20000;

$serverSock = IO::Socket::INET->new(LocalPort => 20001, Proto => 'udp')
    or die "socket: $@";
$clientSock = IO::Socket::INET->new(PeerAddr => $remote_host,
				    PeerPort => $remote_port,
				    Proto=>'udp')
    or die "socket: $@";

while ($serverSock->recv($buf, $IPC_BUFSIZE)) {
    print "relaying $buf...";
    $clientSock->send($buf);
    print "done.\n";
    $clientSock->recv($buf2,$IPC_BUFSIZE);
    print "got response $buf2\n";
} 
