/*
 * $Id: LibertyIDPProvidedNameIdentifier.java,v 1.4.2.1 2002/09/17 01:52:23 jsergent Exp $
 * LibertyIDPProvidedCondition.java
 *
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.1 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://www.experimentalstuff.com/Technologies/IPL/download.html.
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *  Copyright: 2002 by Sun Microsystems, Inc.
 *
 *  All Rights Reserved.
 *
 *  Contributor(s): _______________________________________
 */

package com.sun.liberty;
import com.sun.liberty.saml.SAMLNameIdentifier;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * Data bindings for lib:IDPProvidedNameIdentifier element.
 * Used in LibertySubject.  No additional fields from saml:NameIdentifier,
 * just a new element name.
 */
public class LibertyIDPProvidedNameIdentifier extends SAMLNameIdentifier implements LibertyElement {
    public void parse(Element e) {
	super.parse(e);
    }
    
    public Element getElement(Document doc) {
        Element n = doc.createElementNS(LIB_NS_URI,
					"lib:IDPProvidedNameIdentifier");
        addAttributesTo(n);
        addChildrenTo(n);
        return n;
    }
}
