package ucb.eecs.sahara.sso.anp;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import ucb.eecs.sahara.sso.anp.saml.SAMLPQuery;


/**
 * Processes compound authentication information contained in ANPAuthnQueries.
 *
 * @author Ana Sanz Merino
 * @version $Revision: 1.1.1.1 $
 */

public interface ANPAuthnQueryL2Processor {

    public ANPRequestProcessorAction process(HttpServletRequest httpReq,
					     HttpServletResponse httpResp,
					     SAMLPQuery query,
                                             ANPAuthnQueryProcResult procResult);
}
