/*
 * $Id: IDPDescriptor.java,v 1.2.2.1 2002/09/17 01:52:21 jsergent Exp $
 * IDPDescriptor.java
 *
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.1 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://www.experimentalstuff.com/Technologies/IPL/download.html.
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *  Copyright: 2002 by Sun Microsystems, Inc.
 *
 *  All Rights Reserved.
 *
 *  Contributor(s): _______________________________________
 */

package com.sun.liberty;
import java.net.URL;

/**
 * Stores provisioning information for a Liberty identity provider.
 * XXX: Should probably eventually provide interfaces for setting stuff, too.
 *
 * @author Jonathan Sergent
 * @version $Revision: 1.2.2.1 $
 */
public interface IDPDescriptor extends ProviderDescriptor {
    /**
     * Gets the URL for accepting authentication requests.
     *
     * @return	The Identity Provider's URL for accepting authentication
     * 		requests for the Single Sign On and Federation Protocol.
     */
    public URL getSingleSignOnURL();
}
